package com.example.nto.entity;

import lombok.*;

import javax.persistence.*;
import java.time.LocalDateTime;

@Entity
@Setter
@Getter
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "employee")
public class Employee {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", unique = true, nullable = false)
    private long id;

    @Column(name = "login", unique = true, nullable = false)
    private String login;

    @Column(name = "name", nullable = false)
    private String name;

    @Column(name = "hashed_password", nullable = false)
    private String hashedPassword;

    @Column(name = "role", nullable = false)
    private String role;

    @Column(name = "blocked", nullable = false)
    private Boolean blocked;

    @Column(name = "photo", nullable = false)
    private String photo;

    @Column(name = "position", nullable = false)
    private String position;

    @Column(name = "last_visit", nullable = false)
    private LocalDateTime lastVisit;
}
